#### Previous topic

scipy.stats.rv_discrete.isf

#### Next topic

scipy.stats.rv_discrete.stats

# scipy.stats.rv_discrete.moment

`rv_discrete.``moment`(n, *args, **kwds)

  n-th order non-central moment of distribution.

  Parameters:

  n : int, n >= 1

  > Order of moment.

  arg1, arg2, arg3,… : float

  > The shape parameter(s) for the distribution (see docstring of the instance object for more information).

  loc : array_like, optional

  > location parameter (default=0)

  scale : array_like, optional

  > scale parameter (default=1)